# 32/64bit spec
#
%define major 7
%define libname %mklibname xfce4util %major
%define develname %mklibname xfce4util -d
Summary:	Utility library for the Xfce desktop environment
Summary(de):	Werkzeugbibliothek für die Xfce Desktopumgebung
Name:		libxfce4util
Version:	4.12.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.xz
Patch0:		%{name}-4.10.0-config-dirs.patch
BuildRequires:	glib2-devel >= 2.14.0
BuildRequires:	xfce4-dev-tools
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
Basic utility non-GUI functions for Xfce desktop environment.

#german
%description -l de
Grundlegende Dienstprogramm für Funktionen, die nicht die GUI betreffen,
für die Xfce-Desktop-Umgebung.


%package -n %{libname}
Summary:	Utility library for the Xfce desktop environment
Summary(de):	Werkzeugbibliothek für die Xfce Desktopumgebung
License:	GPLv2+
Group:		Graphical desktop/Xfce
Provides:		libxfce4util = %{version}-%{release}
Obsoletes:	libxfce4util < %{version}
Obsoletes:	xfprint
Obsoletes:	%{_lib}xfprint0
Obsoletes:	%{_lib}xfprint-devel
Obsoletes:	terminal

%description  -n %{libname}
Basic utility non-GUI functions for Xfce desktop environment.

#german
%description -n %{libname} -l de
Grundlegende Dienstprogramm für Funktionen, die nicht die GUI betreffen,
für die Xfce-Desktop-Umgebung.


%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Summary(de):	Entwicklerbibliotheken und Header für %{name}
Group:		Graphical desktop/Xfce
BuildRequires:	gtk-doc
Requires:	gtk-doc
Requires:	xfce4-dev-tools
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libxfce4util-devel = %{version}-%{release}
Obsoletes:	libxfce4util4-devel
Obsoletes:	libxfce4util-devel

%description -n %{develname}
Libraries and header files for the %{name} library.

%description -n %{develname} -l de
Entwicklerbibliotheken und Header für %{name}

%package -n xfce-kiosk
Summary:	Kiosk support for the Xfce desktop environment
Summary(de):	Kiosk-Unterstützung für die Xfce Desktopumgebung
Group:		Graphical desktop/Xfce
Requires:	%{name} = %{version}-%{release}

%description -n xfce-kiosk
Kiosk support for the Xfce desktop environment.

%description -n xfce-kiosk -l de
Kiosk-Unterstützung für die Xfce Desktopumgebung

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q
%patch0 -p0

%build
%define _unpackaged_files_terminate_build 0
./autogen.sh --prefix=/usr --libdir=%{_libdir} --sysconfdir=%{_sysconfdir}/X11 --enable-gtk-doc --enable-gtk-doc-html

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_datadir}/locale/*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/xfce4
%{_includedir}/xfce4/%{name}

%files -n xfce-kiosk
%defattr(-,root,root)
%{_sbindir}/xfce4-kiosk-query

%files doc
%define _missing_doc_files_terminate_build 0
%defattr(-,root,root)
%doc AUTHORS TODO THANKS README README.Kiosk NEWS COPYING
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Sat Jun 03 2017 threepio <threepio> 4.12.1-3uplos2017
- rebuild for uplos


* Fri Mar 20 2015 bb <bb> 4.12.1-3pclos2015
- obsolete old terminal package too

* Mon Mar 09 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.1-2pclos2015
- add obsoletes for xfprint and related library

* Sat Feb 28 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.1-1pclos2015
- 4.12.1
- generate nice 64bit names

* Tue Feb 25 2014 ghostbunny <ghostbunny at gmx dot de> 4.11.0-1pclos2014
- 4.11.0
- change group of doc package to Documentation

* Sun May 05 2013 ghostbunny <ghostbunny at gmx dot de> 4.10.1-1pclos2013
- 4.10.1

